Subject: bug#30747: Emacs lacks a command to horizontally recenter

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Jun 2021 13:58:03 +0200

Eli Zaretskii <[email-masked]> writes:

> So when one goes one line up or down, one would need to recenter?

If you want to recenter, then you recenter.

>>                                                        But horizontal
>> centring is mostly useful when you have a display that's much wider than
>> your window width, which can happen i deeply nested threads in Gnus, for
>> instance.
>
> Doesn't auto-hscroll-mode = current-line take care of that?

If somebody wants to do that, then that's up to them, but this is about
a command that'll recenter the display horizontally.  And that setting
doesn't help with that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no